Get workspace webhook secret status
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"last_rotated_at": "2023-11-07T05:31:56Z",
"grace_period_active": true,
"grace_period_ends_at": "2023-11-07T05:31:56Z"
}Webhooks
Get Workspace Webhook Secret Status
Returns the status of a workspace webhook secret including creation date, rotation date, and grace period status.
GET
/
workspaces
/
{id}
/
webhooks
/
secret-status
Get workspace webhook secret status
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Workspace ID
Was this page helpful?
⌘I